
require(PMCMR);
collected_values = read.table("data/reaction_time_wide.txt", header=T, comment.char="#")

rr <- c(collected_values$RR)
vr <- c(collected_values$VR)
ar <- c(collected_values$AR)
r <- c(rr,vr,ar)

print("##### Median (rr, vr, ar) #####")
print(median(rr))
print(median(vr))
print(median(ar))

print("##### SD (rr, vr, ar) #####")

print(sd(rr))
print(sd(vr))
print(sd(ar))

# Compute the Mean Rank Sum
data <- c(ar, vr, rr)
mat <- matrix(data, nrow = 33, ncol = 3, byrow = FALSE)
for (i in 1:length(mat[, 1])) mat[i, ] <- rank(mat[i, ])
R.mnsum <- colMeans(mat)

# Print the Mean Rank Sum --- used to draw the critical diagram
print("############### Mean Rank Sum ###############")
cat("ar: ", R.mnsum[1], "\n")
cat ("vr: ", R.mnsum[2], "\n") #
cat ("rr: ", R.mnsum[3], "\n") 

y <- matrix(data,nrow=33, ncol=3,dimnames=list(1:33,c("ar","vr","rr")))
print("############### FRIEDMAN ###############")
print(friedman.test(y))

print("############### NEMENYI ###############")
nemenyi_ph <- posthoc.friedman.nemenyi.test(y)
print(nemenyi_ph)